Skip to main content
GET
/
v2
/
salesOrders
/
{salesOrderId}
/
files
Query Sales Order Files
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "fileId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "fileDataType": "<string>",
    "size": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "fileName": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order that the file belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested files.

id
string<uuid>

Unique ID to identify a sales order file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileId
string<uuid>

Unique ID to identify a file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileDataType
string

Type of file.

size
number<decimal>

Image size.

createdAt
string<date-time>

Date when the file was created in the system.

fileName
string

name of the file.